    import Event from './Event'

    /**
     * 图层事件传输实体
     * @classdesc 事件传输实体基类
     * @param {Object} options 构造参数
     */
    class LayerEvent extends Event {
      initPropertys(options) {
        const opt = super.initPropertys(options)
        this.layer = opt.layer
        this.message = opt.message
        this.layerView = opt.layerView
        this.view = opt.view
        return opt
      }
    }

    export default LayerEvent